Search documentation of ash

# Ash.DataLayer.Mnesia

View Source

An Mnesia backed Ash Datalayer.

In your application initialization, you will need to call `Mnesia.create_schema([node()])`.

Additionally, you will want to create your mnesia tables there.

This data layer is unoptimized, fetching all records from a table and filtering them in memory. For that reason, it is not recommended to use it with large amounts of data. It can be great for prototyping or light usage, though.

## mnesia

A section for configuring the mnesia data layer

### Examples

    mnesia do
      table :custom_table
    end

### Options

Name | Type | Default | Docs
--- | --- | --- | ---
`table` | `atom` |  | The table name to use, defaults to the name of the resource

← Previous Page Ash.DataLayer.Ets
Next Page → Ash.Reactor